_WDIR Struct Reference

`#include <dirent_windows.h>`

Collaboration diagram for _WDIR:
[legend]

## Public Attributes

struct _wdirent | ent
WIN32_FIND_DATAW | data
int | cached
HANDLE | handle
wchar_t * | patt

## Detailed Description

Definition at line 176 of file dirent_windows.h.

## Member Data Documentation

## cached

int _WDIR::cached

Definition at line 179 of file dirent_windows.h.

Referenced by _wopendir(), dirent_first(), and dirent_next().

## data

WIN32_FIND_DATAW _WDIR::data

Definition at line 178 of file dirent_windows.h.

Referenced by dirent_first(), and dirent_next().

## ent

struct _wdirent _WDIR::ent

Definition at line 177 of file dirent_windows.h.

Referenced by _wreaddir().

## handle

HANDLE _WDIR::handle

Definition at line 180 of file dirent_windows.h.

Referenced by _wclosedir(), _wopendir(), _wrewinddir(), dirent_first(), and dirent_next().

## patt

wchar_t* _WDIR::patt

Definition at line 181 of file dirent_windows.h.

Referenced by _wclosedir(), _wopendir(), and dirent_first().

The documentation for this struct was generated from the following file:

- dirent_windows.h